%bcond_with check

%global goipath         github.com/cilium/ebpf
Version:                0.11.0
%gometa

%global common_description %{expand:
Ebpf-go is a pure-Go library to read, modify and load eBPF programs and attach
them to various hooks in the Linux kernel.}

%global golicenses      LICENSE
%global godocs          examples ARCHITECTURE.md CODE_OF_CONDUCT.md\\\
                        CONTRIBUTING.md MAINTAINERS.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        EBPF Library for Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/bpf2go %{goipath}/cmd/bpf2go

%install
%gopkginstall
install -m 0755 -vd                          %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/bpf2go %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc examples README.md CONTRIBUTING.md CODE_OF_CONDUCT.md ARCHITECTURE.md
%{_bindir}/bpf2go

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-1
- initial build
